Adds a child to the caller's pod.
POST
/api/v1/learners
const url = 'https://app.jadwigo.pl/api/v1/learners';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"first_name":"example","age_group":"example","goals":[{"name":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.jadwigo.pl/api/v1/learners \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "first_name": "example", "age_group": "example", "goals": [ { "name": "example" } ] }'The server makes the handle, unique in the pod, from the first name.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Created.
Media typeapplication/json
object
learner
required
object
id
required
string
pod_id
required
string
handle
required
string
first_name
required
string
age_group
required
string | null
created_at
required
string format: date-time
goals
required
Array<object>
object
id
required
string
pod_id
required
string
learner_id
required
string
name
required
string
created_at
required
string format: date-time
Example generated
{ "learner": { "id": "example", "pod_id": "example", "handle": "example", "first_name": "example", "age_group": "example", "created_at": "2026-04-15T12:00:00Z" }, "goals": [ { "id": "example", "pod_id": "example", "learner_id": "example", "name": "example", "created_at": "2026-04-15T12:00:00Z" } ]}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}